Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Can't launch Eclipse WTP all-in-one R2.0.1
Can't launch Eclipse WTP all-in-one R2.0.1 [message #204699] Mon, 19 November 2007 07:27 Go to next message
Shahar Ronen is currently offline Shahar Ronen
Messages: 17
Registered: July 2009
Junior Member
I downloaded the lastest release from the WTP download page
( http://www.eclipse.org/downloads/download.php?file=/webtools /downloads/drops/R2.0/R-2.0.1-20070926042742/wtp-all-in-one- sdk-R-2.0.1-20070926042742-win32.zip)
and extracted it. Whenever I launch eclipse.exe, I get the same error
message: "eclipse.exe has encountered a problem and needs to close. We are
sorry for the inconvenience."

The "Error signature" given by Windows is:
AppName: eclipse.exe AppVer: 0.0.0.0 ModName: msvcrt.dll ModVer:
7.0.2600.2180 Offset: 00037ea2

Attached is the log file generated by the Windows (f8ed_appcompat.txt).
I get the same problem running eclipsec.exe.

Any ideas?
Thanks,
Shahar.


Re: Can't launch Eclipse WTP all-in-one R2.0.1 [message #204886 is a reply to message #204699] Fri, 23 November 2007 17:03 Go to previous messageGo to next message
Lawrence Mandel is currently offline Lawrence Mandel
Messages: 486
Registered: July 2009
Senior Member
Hi Shahar,

Can you launch Eclipse 3.3.1.1 [1] without WTP?

[1]
http://download.eclipse.org/eclipse/downloads/drops/R-3.3.1. 1-200710231652/index.php

Lawrence
Re: Can't launch Eclipse WTP all-in-one R2.0.1 [message #204942 is a reply to message #204886] Mon, 26 November 2007 07:41 Go to previous messageGo to next message
Shahar Ronen is currently offline Shahar Ronen
Messages: 17
Registered: July 2009
Junior Member
I tried the non-WTP Eclipse and it works.
Looks like it the WTP release has some problems with my IBM JDK. I installed
WTP all-in-one on another computer, which has a Sun JDK installed, it
everything was fine.

Running Eclipse with the following command line also helps: eclipse.exe -vm
C:\Program Files\IBM\Java50\jre\bin\javaw (C:\Program Files\IBM\Java50 is of
course the IBM JDK path). See
http://www.ibm.com/developerworks/forums/thread.jspa?message ID=14011139.

If anyone knows a sleeker way to solve this, please let me know.

<lmandel@ca.ibm.com> wrote in message news:fi7inm$aig$2@build.eclipse.org...
> Hi Shahar,
>
> Can you launch Eclipse 3.3.1.1 [1] without WTP?
>
> [1]
> http://download.eclipse.org/eclipse/downloads/drops/R-3.3.1. 1-200710231652/index.php
>
> Lawrence
Re: Can't launch Eclipse WTP all-in-one R2.0.1 [message #204964 is a reply to message #204942] Mon, 26 November 2007 12:46 Go to previous messageGo to next message
Lawrence Mandel is currently offline Lawrence Mandel
Messages: 486
Registered: July 2009
Senior Member
Looks like a WTP bug then. Care to open a bug report [1]?

[1]
https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Web%20To ols&component=releng&version=2.0.1

Lawrence
Re: Can't launch Eclipse WTP all-in-one R2.0.1 [message #205037 is a reply to message #204699] Tue, 27 November 2007 15:05 Go to previous message
David Williams is currently offline David Williams
Messages: 696
Registered: July 2009
Senior Member
On Mon, 19 Nov 2007 07:27:58 -0500, Shahar Ronen <shaharr@il.ibm.com> wrote:

>
> Any ideas?
>

Are you opening on a fresh workspace? Or, one that you were using before?
It seems pretty mysterious to me ... so, I'm wondering if your previous workspace,
had some other editor open, or similar, perhaps it's now causing the error as it
tries to open?

Or ... are you saying you expect it to work without using -vm xxxxx?
That may be required. If you don't use the -vm argument, it picks up what ever
is the default on your system ... what version of Java that is default can be
seen by executing java -version from a command line.


There was a bug fixed in Eclispe 3.3.1.1 that was related to picking/using the right
system VM (actually, getting the right parameters) but I think it was causing problems
only in the other direction ... problems with Sun's VM, not IBM and not JRocket.
(and, our WTP all-in-one was not updated to include that 3.3.1.1, I don't believe).
Previous Topic:Downloading WST source via Releng Map files
Next Topic:Simple servlet problem: web.xml woes
Goto Forum:
  


Current Time: Wed Aug 20 06:47:45 EDT 2014

Powered by FUDForum. Page generated in 0.01715 seconds